# Commande sftp (ftp sécurisée)

#### Se connecter au serveur:

```bash
admin@DiskStation:~ $ sftp funnymac@ftp.cluster011.ovh.net:www
Connected to ftp.cluster011.ovh.net.
Changing to: /home/funnymac/www
```

#### Changer de dossier:

```bash
sftp> cd backup
```

#### Connaitre le chemin distant:

```bash
sftp> pwd
Remote working directory: /home/funnymac/www/backup
```

#### Lire le répertoire courant:

```bash
sftp> ls
backup-syno.tar.gz
```

#### Connaitre le chemin sur le client:

```bash
sftp> !pwd
/volume1/homes/admin
```

#### Télécharger un fichier:

```bash
sftp> get backup-syno.tar.gz
Fetching /home/funnymac/www/backup/backup-syno.tar.gz to backup-syno.tar.gz
/home/funnymac/www/backup/backup-syno.tar.gz                                                              100%  933     0.9KB/s   0.9KB/s   00:00
```

#### Envoyer un fichier:

```bash
sftp> put .liste-backup.txt
Uploading .liste-backup.txt to /home/funnymac/www/backup/.liste-backup.txt
.liste-backup.txt                                                                                         100%  119     0.1KB/s   0.1KB/s   00:00
 
sftp> ls
backup-syno.tar.gz
 
sftp> ls -la
drwx---r-x    2 funnymac users           6 Aug  6 13:13 .
drwx---r-x   18 funnymac users          34 Jul 27 06:54 ..
-rw-r--r--    1 funnymac users         119 Aug  6 13:13 .liste-backup.txt
-rw-r--r--    1 funnymac users         933 Aug  6 10:21 backup-syno.tar.gz
```

#### Se déconnecter:

```bash
sftp> quit
```

